.\"	$NetBSD: gomoku.6,v 1.10 2003/08/07 09:37:17 agc Exp $
.\"
.\" Copyright (c) 1994
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" Ralph Campbell.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)gomoku.6	8.2 (Berkeley) 8/4/94
.\"
.Dd August 4, 1994
.Dt GOMOKU 6
.Os
.Sh NAME
.Nm gomoku
.Nd game of 5 in a row
.Sh SYNOPSIS
.Nm
.Op Fl bcdu
.Op Fl D Ar debugfile
.Op Ar inputfile
.Sh DESCRIPTION
.Nm
is a two player game were the object is to get 5 in a row horizontally,
vertically or diagonally on a 19 by 19 grid.
By convention, black always moves first.
With no arguments,
.Nm
will display a playing board and prompt for moves from the user.
Valid moves are a letter for the column and a number for the row of an empty
board location.
Entering ``quit" or ``resign" will end the game.
You can save the current state of the game by entering ``save" and
supplying a file name when prompted.
The optional file
.Ar inputfile
can be used to restore a saved game.
.Pp
The options are:
.Bl -tag -width Ds
.It Fl b
This option sets background mode.
Input moves are read from standard input,
the computer picks a move, and prints it to standard output.
The first input line should be either ``black" or ``white" to specify whether
.Nm
has the first move or not respectively.
This option was intended for game tournaments where a referee program handles
the board display and pits one program against another.
.It Fl c
Computer versus computer.
.Nm
will play a game against itself.
This is mostly used for testing.
.It Fl d
Print debugging information.
Repeating this option more than once yields more detailed information.
.It Fl D Ar debugfile
Print the debug information to
.Ar debugfile
instead of to the standard output.
.It Fl u
User versus user.
This is mostly used for testing.
.El
.Sh AUTHORS
.An Ralph Campbell
.Sh ACKNOWLEDGEMENTS
The board display routines were based on the
.Nm goref
program written by Peter Langston.
